// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import Cookies from 'vue-cookie'
import './style/main.css'
import router from './router'
import Ajax from './util/ajax'
import api from './util/api'
import store from './store'

Vue.use(ElementUI)
Vue.use(Cookies)

Vue.config.productionTip = false
Vue.prototype.$api = api
Vue.prototype.$ajax = Ajax
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
