
import system from './index' // 系统首页

import channelList from './channelManager/channelList/index' // 渠道管理
import caseInfo from './caseManger/caseInfo/index' // 案场信息
import keyManger from './caseManger/keyManger/index' // 钥匙管理
import caseAreaManger from './caseManger/caseAreaManger/index' // 案场区域管理
import caseTableManger from './caseManger/caseTableManger/index' // 案场桌位管理

import fiveA from './courseManger/fiveA/index' // 全龄生活5A
import courseTag from './courseManger/courseTag/index' // 课程标签

import customerList from './customerManagement/customerList/index' // 会员列表

import roleList from './roleManagement/roleList/index' // 角色列表

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 渠道管理
        path: 'channelList',
        name: 'channelList',
        component: channelList,
        children: [],
      }, { // 案场信息
        path: 'caseInfo',
        name: 'caseInfo',
        component: caseInfo,
        children: [],
      }, { // 钥匙管理
        path: 'keyManger',
        name: 'keyManger',
        component: keyManger,
        children: [],
      }, { // 案场区域管理
        path: 'caseAreaManger',
        name: 'caseAreaManger',
        component: caseAreaManger,
        children: [],
      }, { // 案场桌位管理
        path: 'caseTableManger',
        name: 'caseTableManger',
        component: caseTableManger,
        children: [],
      }, { // 全龄生活5A
        path: 'fiveA',
        name: 'fiveA',
        component: fiveA,
        children: [],
      }, { // 课程标签
        path: 'courseTag',
        name: 'courseTag',
        component: courseTag,
        children: [],
      }, {
        path: 'customerList',
        name: 'customerList',
        component: customerList,
        children: [],
      }, { // 角色列表
        path: 'roleList',
        name: 'roleList',
        component: roleList
      }],
    },
  ],
}
