import axios from 'axios'
import { Message } from 'element-ui'
import qs from 'qs'

const Axios = axios.create({
  timeout: 60000,
  responseType: 'json',
  withCredentials: true,
  headers: {}
})

Axios.interceptors.request.use((config) => {
  console.log(config)
  config.data = qs.stringify(config.data)
  return config
}, (error) => {
  console.log(error)
})

Axios.interceptors.response.use((res) => {
  if (res.data.code === 1) {
    return res
  } else if (res.data.code === 2) {
    Message({
      message: res.data.message,
      position: 'bottom',
      duration: 2000
    })
    return res.data.code
  } else if (res.data.code === 0) {
    Message({
      message: res.data.message,
      position: 'bottom',
      duration: 2000
    })
    return res.data.code
  }
}, (error) => {
  console.log(error)
})

export default Axios
